# rpm package built based on ArchLinux jvgs package
# https://aur.archlinux.org/packages.php?ID=34795

Name:		jvgs
Version:	0.5.1
Release:	1%{?dist}
Summary:	Minimalistic platform game loosely based on xkcd webcomic
# Home page and github page lists license as WTFPL but latest tarball
# has no LICENSE file and says license is GPL in AUTHORS file
License:	GPLv3+
Group:		Amusements/Games
URL:		http://jvgs.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz

# Extracted from https://aur.archlinux.org/packages/jv/jvgs/jvgs.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png

# Simple manual page mostly based on README.markdown
Source3:	%{name}.6

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	freetype-devel
BuildRequires:	lua-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	swig
BuildRequires:	tinyxml-devel
Requires:	%{name}-data

# Do not bundle tinyxml, use system one
Patch0:		%{name}-tinyxml.patch

# Do not hardcode CMAKE_CXX_FLAGS
Patch1:		%{name}-cxxflags.patch

%description
This game takes place in a world much like ours, which has started
fading away. At a point where nearly everything has gone, a poet
finds himself, alone in a strange world of danger. He starts a journey
along the broken stream of thoughts that's left.

%package	data
Summary:	The %{name} resource data files
License:	GPLv2 and CC-BY-SA
Group:		Amusements/Games
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	data
The %{name} resource data files.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

# Remove bundled library
rm -fr src/tinyxml

%build
%cmake .
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}{%{_datadir}/%{name}/resources,%{_bindir},%{_mandir}/man6}

install -D -p -m644 ./main.lua %{buildroot}%{_datadir}/%{name}/main.lua
install -D -p -m755 ./src/%{name} %{buildroot}%{_bindir}/%{name}.exe

install -D -p -m644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -p -m644 %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -p -m644 %{SOURCE3} %{buildroot}%{_mandir}/man6/%{name}.6

pushd resources
    tar cf - * | (cd %{buildroot}%{_datadir}/%{name}/resources; tar xfp -)
popd

echo "#!/bin/sh

cd %{_datadir}/jvgs
%{_bindir}/%{name}.exe main.lua \"\$@\"" > %{buildroot}%{_bindir}/%{name}
chmod +x %{buildroot}%{_bindir}/%{name}

%files
%doc AUTHORS
%doc LICENSE
%doc README.markdown
%{_bindir}/%{name}
%{_bindir}/%{name}.exe
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/main.lua
%{_mandir}/man6/%{name}.6*

%files		data
%{_datadir}/%{name}/resources

%changelog
* Tue Apr 23 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.5.1-1
- Update to latest upstream release.
- Update License tag to match latest release.

* Sun Apr 14 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.5-3
- Use license information from tarball not homepaga (#914798#3).
- Do not hardcode CMAKE_CXX_FLAGS (#914798#3).
- Correct manual page section (#914798#3).

* Sat Mar 16 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.5-2
- Correct wrapper script to not need to pass main.lua as first argument.
- Install main binary in %%_bindir.
- Add a simple manual page to the package.
- Make the data package require the main package.

* Fri Feb 22 2013 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 0.5-1
- Initial jvgs spec.
